﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "ItemActor.generated.h"

UENUM(BlueprintType)
enum class EItemType : uint8
{
	Cube UMETA(DisplayName = "Cube"),
	Apple UMETA(DisplayName = "Apple"),
	Banana UMETA(DisplayName = "Banana"),
	Bread UMETA(DisplayName = "Bread"),
	Baguette UMETA(DisplayName = "Baguette"),
	ToiletRoll UMETA(DisplayName = "ToiletRoll"),
	ChocolateVegimite UMETA(DisplayName = "ChocolateVegimite"),
	ChocolateCaramel UMETA(DisplayName = "ChocolateCaramel"),
	ChocolateMilk UMETA(DisplayName = "ChocolateMilk"),
	ChocolatePink UMETA(DisplayName = "ChocolatePink"),
	Coke2L UMETA(DisplayName = "Coke2L"),
	Coke500ml UMETA(DisplayName = "Coke500ml"),
	CokeCan UMETA(DisplayName = "CokeCan"),
	CokeCanTall UMETA(DisplayName = "CokeCanTall"),
	CokeDiet UMETA(DisplayName = "CokeDiet"),
	CokeDietTall UMETA(DisplayName = "CokeDietTall"),
	CrispBlue UMETA(DisplayName = "CrispBlue"),
	CrispGreen UMETA(DisplayName = "CrispGreen"),
	CrispRed UMETA(DisplayName = "CrispRed"),
	CrispYellow UMETA(DisplayName = "CrispYellow"),
	Domestos UMETA(DisplayName = "Domestos"),
	FairySpray UMETA(DisplayName = "FairySpray"),
	Fanta2L UMETA(DisplayName = "Fanta2L"),
	Fanta500ml UMETA(DisplayName = "Fanta500ml"),
	FantaCan UMETA(DisplayName = "FantaCan"),
	FantaCanTall UMETA(DisplayName = "FantaCanTall"),
	Pepsi2L UMETA(DisplayName = "Pepsi2L"),
	PepsiCan UMETA(DisplayName = "PepsiCan"),
	PepsiCanTall UMETA(DisplayName = "PepsiCanTall"),
	PringlesBlue UMETA(DisplayName = "PringlesBlue"),
	PringlesGreen UMETA(DisplayName = "PringlesGreen"),
	PringlesRed UMETA(DisplayName = "PringlesRed"),
	Sprite2L UMETA(DisplayName = "Sprite2L"),
	Sprite500ml UMETA(DisplayName = "Sprite500ml"),
	Toblerone UMETA(DisplayName = "Toblerone"),
	WineBaileys UMETA(DisplayName = "WineBaileys"),
	WineBarefoot UMETA(DisplayName = "WineBarefoot"),
	WineRed UMETA(DisplayName = "WineRed"),
	WineBarefootTall UMETA(DisplayName = "WineBarefootTall"),
	WineRedTall UMETA(DisplayName = "WineRedTall"),
	WineTallRedYellow UMETA(DisplayName = "WineTallRedYellow"),
	WineTallYellow UMETA(DisplayName = "WineTallYellow"),
};

UCLASS()
class SEAGULLGAME_API AItemActor : public AActor
{
	GENERATED_BODY()

public:
	// Sets default values for this actor's properties
	AItemActor();

	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Item")
	TSubclassOf<AItemActor> ItemNoPhysics;
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Item")
	float HungerValue = 10;
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Item")
	EItemType ItemType;

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:
	// Called every frame
	virtual void Tick(float DeltaTime) override;
};
